Bug 96987 - The icon for .uno:DisplayMode is too pale. It looks like inactive.
Summary: The icon for .uno:DisplayMode is too pale. It looks like inactive.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: x86 (IA32) Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Display-View-Selector Icon-Themes
  Show dependency treegraph
 
Reported: 2016-01-09 16:25 UTC by Regina Henschel
Modified: 2018-07-11 19:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of toolbar (4.73 KB, image/png)
2016-01-09 16:25 UTC, Regina Henschel
Details
displaymode icon (1.91 KB, image/png)
2016-03-03 11:54 UTC, Gülşah Köse
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2016-01-09 16:25:27 UTC
Created attachment 121819 [details]
Screenshot of toolbar

The small icon for the new command .uno:DisplayMode in Impress is too pale. It looks as if the command is inactive, see the attached screenshot. The large icon is OK.
Comment 1 Óvári 2016-01-14 21:01:24 UTC
Setting to NEW. Thanks

Hopefully the .uno:DisplayMode will be also be renamed (bug 96047).
Comment 2 Gülşah Köse 2016-03-03 11:54:52 UTC
Created attachment 123193 [details]
displaymode icon

Hi, It seems ok for all themes. Can you check it on last version?
Comment 3 Regina Henschel 2016-03-03 13:12:29 UTC
It is not solved.

I mean the small icon, belonging to command .uno:DisplayMode. The associated icon is sc_displaymode.png in folder icon-themes/<name of the theme>/cmd/

Please use a desktop theme with bright background for toolbars as it is the default for Windows 7.

When I look around in the source, it seems, that the original icon does not exist at all and a replacement is shown.

I use Version: 5.2.0.0.alpha0+
Build ID: 2b24b6b6c3b18d7d934b3f76cc7a787c498ece4a
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: de-DE (de_DE)
Comment 4 Adolfo Jayme 2017-12-10 06:32:37 UTC
@Andreas, can you help me out with this? I’m AFK at the moment.
Comment 5 andreas_k 2017-12-12 08:53:47 UTC
the real bug is that the action didn't use a cmd/lc_ cmd/sc_ icon. it use sd/res/layout_headxx icon but this icons are 64px in size so it will be shrinked to 16px or 24px. It will always look out of place (see breeze, sifr or elementary) when the action didn't use a lc or sc icon from cmd.

please don't use the layout icon define one specific icon and it will work fine. In addition we can make an specific icon that will fit in light and dark themes.
Comment 6 andreas_k 2018-07-11 19:17:50 UTC
In the code base there is an bug cause the wrong icon was used, but on the icon view this bug is fixed cause I make the icons smaller and so the shrinkage is not that much a problem.